
QGIS Application - Bug report #14659

add geometric columns - no Z coord

2016-04-11 08:16 AM - salvatore fiandaca

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22623

Description

Hello, 

the command 'Export / add geometric columns' (vector menu => Geometry Tools) applied to a shapefile 3D point (X, Y, Z) adds only

coord X and Y coord, the Z coord no !! !!

Related issues:

Related to QGIS Application - Bug report # 15667: Add Z/M support to Processi... Closed 2016-10-05

Associated revisions

Revision 90aebd11 - 2016-10-11 01:30 AM - Nyall Dawson

[processing] Add geometry info should add z/m values (fix #14659)

History

#1 - 2016-04-11 10:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

is the column Z there and empty, or no column at all?

#2 - 2016-04-11 10:25 AM - salvatore fiandaca

- File Immagine_10.jpg added

the command only creates coord coord x y (see screenshot)

#3 - 2016-04-11 10:34 AM - Giovanni Manghi

- Target version deleted (Version 2.14)

- Operating System deleted (Windows)

- Status changed from Feedback to Open

- Category changed from 44 to Processing/QGIS

- Tracker changed from Bug report to Feature request

#4 - 2016-04-12 03:56 AM - Alexander Bruy

- Category changed from Processing/QGIS to Geometry
This can not be fixed until we will have full Z coordinate support in QGIS geometry classes.

#5 - 2016-04-12 04:40 AM - Alexander Bruy

- Category changed from Geometry to Processing/QGIS

Oops, sorry my bad. Seems we already have full support.

#6 - 2016-10-10 01:07 PM - Regis Haubourg

I'm tracking all z troubles in QGIS. Can that issue be closed or is it still opened ?

#7 - 2016-10-10 03:19 PM - Nyall Dawson

- Tracker changed from Feature request to Bug report

#8 - 2016-10-10 04:52 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"90aebd117d7a936e606d4993b0bc6ccc7f64080d".

Files

punti_3D.7z 23.2 KB 2016-04-11 salvatore fiandaca

Immagine_10.jpg 254 KB 2016-04-11 salvatore fiandaca
